Bug 1822038 - buildah is not expanding env vars in file paths [stream-container-tools-rhel8-rhel-8.3.0/buildah]
Summary: buildah is not expanding env vars in file paths [stream-container-tools-rhel8...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: buildah
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Jindrich Novy
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1810069 1822207
TreeView+ depends on / blocked
 
Reported: 2020-04-08 06:19 UTC by Jindrich Novy
Modified: 2020-11-04 03:06 UTC (History)
2 users (show)

Fixed In Version: buildah-1.14.9 and newer
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 03:05:13 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Jindrich Novy 2020-04-08 06:19:40 UTC
This is a tracking bug assuring the fix for [bug 1810069] gets applied in stream-container-tools-rhel8-rhel-8.3.0 branch of buildah.

Comment 4 Joy Pu 2020-07-20 06:31:08 UTC
Test with buildah-1.15.0-1.module+el8.3.0+7084+c16098dd.x86_64 and the env vars works as expect now. Details:
# buildah bud -t test .
STEP 1: FROM centos
STEP 2: ENV foo=oo
STEP 3: ADD ./f${foo} /tmp/foo
STEP 4: COMMIT test
Getting image source signatures
Copying blob eb29745b8228 skipped: already exists  
Copying blob 4aecdfe51b45 done  
Copying config 4e03c4472e done  
Writing manifest to image destination
Storing signatures
--> 4e03c4472e6
4e03c4472e680dff6e83efd1a3c91c992f2e2ed1722a2be7e3dad5e28b5d3190
# podman run -it --rm test /bin/bash -c "cat /tmp/foo"
bar

Comment 7 errata-xmlrpc 2020-11-04 03:05:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: container-tools:rhel8 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4694


Note You need to log in before you can comment on or make changes to this bug.